org.eclnt.jsfserver.defaultscreens

## Class ImageCapture

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.ImageCapture

- All Implemented Interfaces:
    java.io.Serializable

      public class ImageCapture
      extends java.lang.Object
      implements java.io.Serializable

  Server side representation of ImageCapture include/control.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ImageCapture.IconInvoker`
    `class` | `ImageCapture.LinkInvoker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageCapture()` Dummy constructor which is only required for stand allone testing of component, running "against" a plain managed bean instance.
    `ImageCapture(IImageCaptureProvider logic)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PANEComponent` | `getCommandPane()` Internal use.
    `PANEComponent` | `getIconPane()` Internal use.
    `java.util.Map<java.lang.String,ImageCapture.IconInvoker>` | `getInvokers()` Internal use.
    `java.util.Map<java.lang.String,ImageCapture.LinkInvoker>` | `getLinkInvokers()` Internal use.
    `java.lang.String` | `getRefExpression()` Internal use.
    `java.lang.String` | `getSelHexImage()` Hex string representing the image that is shown on client side.
    `IImageCaptureProvider.ImageData` | `getSelImageData()` Currently selected image.
    `boolean` | `getUploadRendered()` Internal use.
    `Trigger` | `getUploadTrigger()` Internal use.
    `void` | `onHexImageAction(ActionEvent ae)`
    `void` | `onNext(ActionEvent ae)` Internal use.
    `void` | `onPrevious(ActionEvent ae)` Internal use.
    `void` | `prepare(IImageCaptureProvider logic)` Pass logic connection to this object.
    `void` | `selectImageData(IImageCaptureProvider.ImageData sel)` Selects a certain information aspect.
    `void` | `setCommandPane(PANEComponent value)` Internal use.
    `void` | `setIconPane(PANEComponent value)` Internal use.
    `void` | `setRefExpression(java.lang.String value)` Internal use.
    `void` | `updateComponent()` Short version for calling updateComponent(true).
    `void` | `updateComponent(boolean applyDefaultSelection)` When changing the inner content of the component (e.g.
    `void` | `uploadExecute(ActionEvent ae)` Internal use.
    `void` | `uploadRequest(ActionEvent ae)` Internal use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageCapture

          public ImageCapture()

      Dummy constructor which is only required for stand allone testing of component, running "against" a plain managed bean instance. Please use the other constructor for serious usage.

    - #### ImageCapture

          public ImageCapture(IImageCaptureProvider logic)

  - ### Method Detail

    - #### setRefExpression

          public void setRefExpression(java.lang.String value)

      Internal use.

    - #### getUploadTrigger

          public Trigger getUploadTrigger()

      Internal use.

    - #### getRefExpression

          public java.lang.String getRefExpression()

      Internal use.

    - #### prepare

          public void prepare(IImageCaptureProvider logic)

      Pass logic connection to this object. The method is called by the constructor - you do not have to call twice when creating an object instance. - But you may call it later on, to re-initialize the object for a second usage.

    - #### getInvokers

          public java.util.Map<java.lang.String,ImageCapture.IconInvoker> getInvokers()

      Internal use.

    - #### getLinkInvokers

          public java.util.Map<java.lang.String,ImageCapture.LinkInvoker> getLinkInvokers()

      Internal use.

    - #### getSelImageData

          public IImageCaptureProvider.ImageData getSelImageData()

      Currently selected image.

    - #### getSelHexImage

          public java.lang.String getSelHexImage()

      Hex string representing the image that is shown on client side.

    - #### getIconPane

          public PANEComponent getIconPane()

      Internal use.

    - #### setIconPane

          public void setIconPane(PANEComponent value)

      Internal use.

    - #### getCommandPane

          public PANEComponent getCommandPane()

      Internal use.

    - #### setCommandPane

          public void setCommandPane(PANEComponent value)

      Internal use.

    - #### getUploadRendered

          public boolean getUploadRendered()

      Internal use.

    - #### uploadRequest

          public void uploadRequest(ActionEvent ae)

      Internal use.

    - #### uploadExecute

          public void uploadExecute(ActionEvent ae)

      Internal use.

    - #### onNext

          public void onNext(ActionEvent ae)

      Internal use.

    - #### onPrevious

          public void onPrevious(ActionEvent ae)

      Internal use.

    - #### onHexImageAction

          public void onHexImageAction(ActionEvent ae)

    - #### selectImageData

          public void selectImageData(IImageCaptureProvider.ImageData sel)

      Selects a certain information aspect. Corresponding icon is highlighted and the image associated with the information aspect is show. Same effect as when user selects image by icon selection.

    - #### updateComponent

          public void updateComponent()

      Short version for calling updateComponent(true).

    - #### updateComponent

          public void updateComponent(boolean applyDefaultSelection)

      When changing the inner content of the component (e.g. removing icons, rows, ...) the component needs to be notified about the change in order to update its rendering.

Copyright © CaptainCasa Gmbh. All Rights Reserved.